<?php

$sArray = [
    "eine Zeichenkette",
    "noch eine, aber diese hat ein paar Zeichen mehr",
    "kurz"
];

foreach($sArray as $s) {
    echo "<p>Der String \"$s\" hat " .strlen($s) ." Zeichen.</p>";
    $vokale = ["a", "e", "i", "o", "u"];

    $zaehler = 0; //anfangszähler für das zählen der Vokale

    for($i = 0; $i < strlen($s); $i++ ) { //Anzahl der schleifendurchläufe, anhand der länge des strings i kleiner als der string (strlen).
        if (in_array($s[$i], $vokale)) { // wird geprüft ob sich ein vokal im string $s befindet    
            $zaehler++;
        }
        
    }  
    echo "<p>Der String \"$s\" enthält $zaehler Vokal(e)</p>"; 
}

?>